
#
# hook to start rtpmon automatically from vic/vat.  add the
# contents of this file to ~/.vic.tcl and ~/.vat.tcl
#
# Contributed by Van Jacobson (van@ee.lbl.gov)
#

proc start_rtpmon { } {
        global V
        set net $V(data-net)
        exec rtpmon -t 0 -C [resource conferenceName] [$net addr]/[$net port] &
}

proc mk.rtpmon { w } {
        button $w.rtpmon -text Monitor \
                -font [smallfont] -highlightthickness 1 \
                -command start_rtpmon
        pack $w.rtpmon -after $w.menu -side left -pady 1 -padx 1
}

proc user_hook {} {
        global V
        if {$V(sessionType) == "rtp"} {
                if {$V(app) == "vic"} {
                        set w .top.bar
                } else {
                        set w .bar
                }
                mk.rtpmon $w
        }
}
